List agents
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Agents
List agents
Retrieve all agents for your tenant
GET
/
agents
List agents
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Returns a paginated list of the agents belonging to your tenant.
Query parameters
integer
default:"1"
1-based page number
integer
default:"20"
Items per page, maximum 100
string
Case-insensitive match on agent name or description
string
Filter by persona ID
curl https://prod-comms-engine-api.20x.business/api/v1/agents \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"
requests.get(
"https://prod-comms-engine-api.20x.business/api/v1/agents",
headers={"Authorization": f"Bearer {API_KEY}"},
)
Response
{
"agents": [
{ "id": "550e8400-...", "name": "Support Agent" }
]
}

